<?php
/*
	OAuth Before Execution Hook Point
	This file is executed before OAuth does any API function calls.
	This will allow you to add additional security to your copy of OAuth.
	
	Setting $runFunction to false will stop the execution of the API command.
	$runFunction = false;
	
	$APICommand is the API command to run.
	
	$isClient is set to true if the key is for a specific client and false if the key has admin permissions
	
	$clientid is set to the clients id value or 0 for admin key.
	
	$allowedFunctions is a list of functions specifically allowed for this particular key.
	
	$deniedFunctions is a list of functions specifically denied for this particular key.
	
	** Please note this is not meant to be used to extend the OAuth API **
*/

// Built in new security for generic API commands
// If this is a client make an API Call
if ($isClient) {
	// Check API Commands and run through the list
	switch($APICommand) {
		case "domaingetnameservers":
		case "domaingetwhoisinfo":
		case "domainrequestepp":
		case "domainupdatelockingstatus":
		case "domainupdatenameservers":
		case "domainupdatewhoisinfo":
		case "domaingetlockingstatus":
			$result = mysql_query("SELECT `id` FROM `tbldomains` WHERE `id`=".(int)$_REQUEST["domainid"]." AND `userid`=".(int)$clientid);
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			break;	
		case "addticketreply":
		case "deleteticket":
		case "addticketnote":
		case "updateticket":
		case "getticket":
			$result = mysql_query("SELECT `id` FROM `tbltickets` WHERE `id`=".(int)$_REQUEST["ticketid"]." AND `userid`=".(int)$clientid);
			if ($_REQUEST["adminusername"]) {
				// Don't allow users to use this variable. clientid is already set through OAuth.
				unset($_REQUEST["adminusername"]);
				unset($_POST["adminusername"]);
				unset($_GET["adminusername"]);
				// For systems with register globals on.
				unset($adminusername);
			}
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			break;
		case "acceptorder":
		case "pendingorder":
		case "cancelorder":
		case "fraudorder":
		case "deleteorder":
			$result = mysql_query("SELECT `id` FROM `tblorders` WHERE `id`=".(int)$_REQUEST["orderid"]." AND `userid`=".(int)$clientid);
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			break;
		case "getinvoices":
		case "createinvoice":
		case "createquote":
		case "getorders":
			$_REQUEST["userid"] = $clientid;
			$_POST["userid"] = $clientid;
			$_GET["userid"] = $clientid;
			$userid = $clientid;
			break;
		case "getinvoice":
		case "updateinvoice":
			$result = mysql_query("SELECT `id` FROM `tblinvoices` WHERE `id`=".(int)$_REQUEST["invoiceid"]." AND `userid`=".(int)$clientid);
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			break;
		case "updatequote":
		case "deletequote":
		case "sendquote":
		case "acceptquote":
			$result = mysql_query("SELECT `id` FROM `tblquotes` WHERE `id`=".(int)$_REQUEST["quoteid"]." AND `userid`=".(int)$clientid);
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			
			$_REQUEST["userid"] = $clientid;
			$_POST["userid"] = $clientid;
			$_GET["userid"] = $clientid;
			$userid = $clientid;
			break;
		case "updateclientproduct":
			$result = mysql_query("SELECT `id` FROM `tblhosting` WHERE `id`=".(int)$_REQUEST["pid"]." AND `userid`=".(int)$clientid);
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			break;
		case "upgradeproduct":
			$result = mysql_query("SELECT `id` FROM `tblhosting` WHERE `id`=".(int)$_REQUEST["serviceid"]." AND `userid`=".(int)$clientid);
			$sqlcount = mysql_num_rows($result);
			if ($sqlcount != 1) $runFunction = false;
			break;
		
	}
}
?>